Page MenuHomePhabricator

Test chained function calls in C++
ClosedPublic

Authored by paulherman on Jul 14 2015, 3:40 PM.

Details

Reviewers
clayborg

Diff Detail

Event Timeline

paulherman updated this revision to Diff 29723.Jul 14 2015, 3:40 PM
paulherman retitled this revision from to Test chained function calls in C++.
paulherman updated this object.
paulherman added a reviewer: clayborg.
paulherman added a subscriber: lldb-commits.
paulherman updated this revision to Diff 29726.Jul 14 2015, 3:53 PM
  • Test imported namespaces in C++

The 2nd diff was meant to be a separate one.

The purpose of the diffs is to add coverage add tests that are covered in gdb, but not in lldb.

This looks good, thanks for the test. One thing, I tend not to do:

self.assertTrue(main_breakpoint.IsValid() and main_breakpoint.GetNumLocations() == 1, VALID_BREAKPOINT)

but rather GetNumLocations() >= 1. When you are setting a breakpoint by name, you never know when some system component is going to have a function with the same name - yes there are even "main" symbols in shared libraries on some systems. You can work around this by limiting the breakpoint to the main executable but you really don't care that there is ONLY one location so that's not really necessary. And when setting breakpoints by source location you never know when some compiler is going to emit two line table entries for one source line, and this would cause a spurious failure...

clayborg requested changes to this revision.Jul 15 2015, 11:34 AM
clayborg edited edge metadata.

Close, just fix what Jim mentioned and this is good to go.

This revision now requires changes to proceed.Jul 15 2015, 11:34 AM
paulherman edited edge metadata.
  • Test imported namespaces in C++
clayborg accepted this revision.Jul 15 2015, 1:27 PM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Jul 15 2015, 1:27 PM
paulherman closed this revision.Aug 20 2015, 12:20 PM